Portal 2 > 综合讨论 > 主题详情
K-9 2月28日下午5:32
Portal 2 Linux Beta won't start; Crashes on startup
As the title says, the Portal 2 Linux Beta crashes on startup.

Attempting to run the executable directly gives me this:

./portal2_linux: error while loading shared libraries: libtcmalloc_minimal.so.4: cannot open shared object file: No such file or directory

I'm on Linux Mint, 64 Bit.
正在显示第 1 - 11 条,共 11 条留言
< >
MERRY CHRISTMAS 2月28日下午5:59 
same man, yester i could get to the title screen. Buts thats when i was running beta mode.
MERRY CHRISTMAS 2月28日下午6:04 
hey guy i just got it running by going into properties and switching the beta instead of opting out, i did this yesterday but i guess theres a new unreleased update.
tcchenier 2月28日下午6:23 
same here, not starting on Linux Mint 64 or steamOS
tcchenier 2月28日下午6:39 
but yes, I got it working fine by entering beta... right click on game in the library, select options, then in beta tab, select beta. Probably similar in SteamOS, will try next.
K-9 2月28日下午6:52 
I'm already in the beta. I tried all that before I posted this. Let me do a bit of experimentation...
K-9 2月28日下午8:52 
Okay; I've fixed it. To anyone else having this problem:

Install the latest version of gperftools from https://code.google.com/p/gperftools/
Koufopoulos 2月28日下午9:03 
I'm having the same problem using 64 bit fedora 19. I fixed it by opting into beta as well. I was having some issues with the game running at 100% on two of my i7 cores after playing for a while, so I wanted to see if the beta beta version was part of the reason. I didn't have gperftools installed, also not sure why you would need them, but installing them did not help.
K-9 2月28日下午9:06 
I think it's because i didn't have the tcmalloc libraries before i installed gperftools.
Leviathan 3月29日上午7:09 
Then simply install libtcmalloc-minimal4. You do not need all of the dependencies of the gperftools.
K-9 3月29日上午10:34 
Thanks, I didn't see libtcmalloc-minimal4 in the repositories before.
最后由 K-9 编辑于; 3月29日上午10:35
Leviathan 7月18日上午2:25 
And by the way: I just tried to play portal2 on my amd64 architecture in linux mint. It seems that valve has compiled the game and has linked it against libtcmalloc-minimal4 x86. The amd64 version of libtcmalloc-minimal did not help but gave an wrong architecture error.

As I was running it on my linux mint, I had to download the package directly from here:
http://packages.ubuntu.com/raring/i386/libtcmalloc-minimal4/download

Then I followed this procedure taken from http://community.linuxmint.com/tutorial/view/370:
----------------
First we are going to install some 32-Bit libraries which are needed to run 32-Bit applications:

Open up Terminal and type:
sudo apt-get install ia32-libs

and enter your password if it asks

Now we are going to open in the Folder were you 32-Bit deb files is by using the command:
cd 'Folder Location'

Were folder location is (Of course enter the folder location) or go to the folder, right click and click 'Open In Terminal'.

Now we are going to force the 32-Bit deb to be forced into installing for the 64-Bit Linux Mint:
sudo dpkg -i --force-architecture package.deb
----------------
After I did that I could run portal 2 also on my amd64 machine. I had weird performance fluctuations on my device, the beginning of the game (in the room that is moved around) I had heavy control delays (about 100ms between button press and the reaction), but afterwards it was nearly possible to play on the highest video settings; and that on my 4 years old lenovo w500 laptop!
正在显示第 1 - 11 条,共 11 条留言
< >
每页显示数: 15 30 50
发帖日期: 2月28日下午5:32
帖子数: 11